Ext.define('go.modules.business.business.AgreementDialog',{
	extend: go.form.Dialog,
	width: dp(450),
	height: 400,
	formPanelLayout:'border',
	//cls: 'go-form-panel',
	//stateId: 'agreement-DialogForm',
	title: t('Agreement'),
	entityStore: "EmployeeAgreement",
	initFormItems: function () {
		
		return [{
			region:'center',
			layout:'form',
			xtype:'container',
			items: [{xtype:'fieldset',labelWidth: 60,items:[{
				xtype:'datefield',
				name:'start',
				fieldLabel: t('Start at'),
				value: new Date()
			}]},new Ext.form.FieldSet({
				title: t("Year credits", 'business', 'business'),
				labelWidth: 60,
				items: [this.yearBudgetFields = new go.form.FormContainer({name:'budgets',hideLabel:true,labelWidth: 60})]
//				  autoHeight: true
			})]
		},{
			region:'east',
			layout:'form',
			width: 200,
			xtype:'fieldset',
			labelWidth: 60,
			title: t('Work week', 'business', 'business'),
			defaults: {
				width: 80,
				xtype:'timefield',
				format: "G:i",
				increment: 30,
				getValue: function() {
					//debugger;
					var v = this.getRawValue();
					if(!v) {
						return 0;
					}
					return go.util.Format.minutes(v);
				},
				setValue: function(value) {
					//debugger;
					if(!isNaN(value)) {
						value = go.util.Format.duration(value * 60);
					}
					return Ext.form.TimeField.superclass.setValue.call(this, this.formatDate(this.parseDate(value)));
				}
			},
			items: [{
				fieldLabel: t("full_days")[1],
				name:'mo'
			},{
				fieldLabel: t("full_days")[2],
				name:'tu'
			},{
				fieldLabel: t("full_days")[3],
				name:'we'
			},{
				fieldLabel: t("full_days")[4],
				name:'th'
			},{
				fieldLabel: t("full_days")[5],
				name:'fr'
			},{
				fieldLabel: t("full_days")[6],
				name:'sa'
			},{
				fieldLabel: t("full_days")[0],
				name:'su'
			}]
		}];
	},

	onLoad: function(entityValues) {
		this.fireEvent("load", this, entityValues);
		go.Db.store('Activity').all(function(success,activities) {
			if(success) {
				this.updateYearBudgetComponent(activities, entityValues.budgets || {});
			}
		},this);
	},

	show: function() {
		this.onLoad({budgets:[]});
		this.callParent();
	},

	updateYearBudgetComponent: function(activities, budgets){
		this.yearBudgetFields.removeAll();

		if(!activities.length) {
			this.yearBudgetFields.add({html: t('There are no budgetable activities')});
		} else
		for(var i = 0; i < activities.length; i++) {
			if(!activities[i].budgetable) continue;
			var budget = budgets[activities[i].id] || 0;
			this.yearBudgetFields.add(new go.form.FormContainer({
				fieldLabel: activities[i].name,
				name: activities[i].id,
				items:[
				new Ext.form.NumberField({
					serverFormats: true,
					hideLabel: true,
					name: 'budget',
					width: dp(140),
					value: budget ? budget.budget : 0, // todo
					decimals: 2,
					maxValue: 8784,
					suffix: t('hours')
				}),new Ext.form.Hidden({
					name: 'activityId',
					value: activities[i].id
				})]
			}));

		}

		this.doLayout();
	}

});
