Ext.define('go.modules.business.business.AgreementGrid', {
	extend: go.grid.GridPanel,

	userId: null, // set when create
	tbar: [{
		xtype:'tbtitle',
		text:t('Employment agreements')
	},'->',{
		iconCls: 'ic-add',
		handler: function() {
			var grid = this.ownerCt.ownerCt;
			var dlg = new go.modules.business.business.AgreementDialog();
			dlg.setValues({employeeId: grid.userId});
			// dlg.on('submit', function(dlg, success, serverId) {
			// 	//dv.reload();
			// });
			dlg.show();
		}
	}],
	autoHeight:true,
	viewConfig: {forceFit: true},
	columns: [
		{header:t('Start at'), dataIndex: 'start', xtype: 'datecolumn'},
		// {header:t('Internal fee'), dataIndex: 'hourlyCost', width: 70, renderer: go.grid.ColumnRenderers.currency},
		// {header:t('Holiday hours'), dataIndex: 'yearlyHolidayTime'},
		// {header:t('Holiday validity period'), dataIndex: 'holidayValidityPeriod', renderer: function(v) {return v+ ' '+t('months');} },
		{header: t("short_days")[1], dataIndex: 'mo', width:50, renderer: go.grid.ColumnRenderers.duration},
		{header: t("short_days")[2], dataIndex: 'tu', width:50, renderer: go.grid.ColumnRenderers.duration},
		{header: t("short_days")[3], dataIndex: 'we', width:50, renderer: go.grid.ColumnRenderers.duration},
		{header: t("short_days")[4], dataIndex: 'th', width:50, renderer: go.grid.ColumnRenderers.duration},
		{header: t("short_days")[5], dataIndex: 'fr', width:50, renderer: go.grid.ColumnRenderers.duration},
		{header: t("short_days")[6], dataIndex: 'sa', width:50, renderer: go.grid.ColumnRenderers.duration},
		{header: t("short_days")[0], dataIndex: 'su', width:50, renderer: go.grid.ColumnRenderers.duration},
		{header: t('Total'), width:60, renderer: function(value,meta,r) {
				var d = r.data;
				return go.util.Format.duration((d.mo+d.tu+d.we+d.th+d.fr+d.sa+d.su));
			}}
	],
	listeners: {
		rowdblclick: function (grid, rowIndex, e) {
			var record = grid.getStore().getAt(rowIndex);
			var dlg = new go.modules.business.business.AgreementDialog();
			dlg.load(record.id).show();
		},
		scope:this
	},
	initComponent: function() {
		this.store = new go.data.Store({
			entityStore: 'EmployeeAgreement',
			fields: [
				{name:'start',type:'date'},
				'hourlyCost',
				// 'yearlyHolidayTime',
				// 'holidayValidityPeriod',
				'mo','tu','we','th','fr','sa','su'
			],
		});
		this.callParent();
	}
})